# Exclude private libraries from autogenerated provides and requires
%global __provides_exclude_from ^%{_libdir}/gnome-connections/
%global __requires_exclude ^(%%(find %{buildroot}%{_libdir}/gnome-connections/ -name '*.so' | xargs -n1 basename | sort -u | paste -s -d '|' -))

%global tarball_version %%(echo %{version} | tr '~' '.')
%global url_ver %%(echo %{version} | cut -d. -f1)

Name:       gnome-connections
Version:    41.2
Release:    1%{?dist}
Summary:    A remote desktop client for the GNOME desktop environment

License:    GPLv3+
URL:        https://gitlab.gnome.org/gnome/connections/-/wikis/home
Source0:    https://download.gnome.org/sources/gnome-connections/%{url_ver}/gnome-connections-%{tarball_version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(freerdp2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtk-vnc-2.0)
BuildRequires:  pkgconfig(libhandy-1)

Requires:       hicolor-icon-theme

# Renamed from connections to gnome-connections in F34
Obsoletes:      connections < 40.0-2
Provides:       connections = %{version}-%{release}

Provides: bundled(gtk-frdp)

%description
Connections is a remote desktop client for the GNOME desktop environment.

%prep
%autosetup -p1 -n gnome-connections-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang gnome-connections --with-gnome

# Remove unneeded development files
rm -rf %{buildroot}%{_includedir}/gnome-connections/
rm -rf %{buildroot}%{_libdir}/gnome-connections/girepository-1.0/
rm -rf %{buildroot}%{_libdir}/gnome-connections/pkgconfig/
rm -rf %{buildroot}%{_datadir}/gnome-connections/gir-1.0/
rm -rf %{buildroot}%{_datadir}/gnome-connections/vapi/

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Connections.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Connections.desktop

%files -f gnome-connections.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/gnome-connections
%{_libdir}/gnome-connections/
%{_datadir}/metainfo/org.gnome.Connections.appdata.xml
%{_datadir}/applications/org.gnome.Connections.desktop
%{_datadir}/dbus-1/services/org.gnome.Connections.service
%{_datadir}/glib-2.0/schemas/org.gnome.Connections.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Connections.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Connections-symbolic.svg
%{_datadir}/mime/packages/org.gnome.Connections.xml

%changelog
* Wed Jan 05 2022 Felipe Borges <feborges@redhat.com> - 41.2-1
- Update to 41.2
  Related: rhbz#2031651

* Thu Aug 19 2021 Felipe Borges <feborges@redhat.com> - 41.beta-2
- Add libhandy-1 dependency
  Related: rhbz#1995538

* Mon Aug 16 2021 Felipe Borges <feborges@redhat.com> - 41.beta-1
- Update to 41.beta
  Related: rhbz#1993979

* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com> - 40.0-8
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags
  Related: rhbz#1991688

* Tue Jun 22 2021 Mohan Boddu <mboddu@redhat.com> - 40.0-7
- Rebuilt for RHEL 9 BETA for openssl 3.0
  Related: rhbz#1971065

* Thu May 20 2021 Felipe Borges <feborges@redhat.com> - 40.0-6
- Add missing bundled provides

* Mon May 17 2021 Ondrej Holy <oholy@redhat.com> - 40.0-5
- Rebuild for updated FreeRDP (#1951123).

* Wed Apr 21 2021 Felipe Borges <feborges@redhat.com> - 40.0-4
- Fix regression with DBus activation. Related: rhbz#1951128

* Thu Apr 15 2021 Mohan Boddu <mboddu@redhat.com> - 40.0-3
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937

* Mon Mar 22 2021 Kalev Lember <klember@redhat.com> - 40.0-2
- Rename from connections to gnome-connections

* Mon Mar 22 2021 Kalev Lember <klember@redhat.com> - 40.0-1
- Update to 40.0
- Require hicolor-icon-theme for icon directories rather than adwaita
- Use https source URL
- Validate appdata file
- Filter private libraries
- Don't install various development files

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.38.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Oct 20 2020 Kalev Lember <klember@redhat.com> - 3.38.1-1
- Update to 3.38.1

* Mon Sep 14 2020 Kalev Lember <klember@redhat.com> - 3.38.0-1
- Update to 3.38.0

* Thu Sep 10 2020 Felipe Borges <feborges@redhat.com> - 3.37.91-1
- Update to 3.37.91

* Mon Aug 10 2020 Felipe Borges <feborges@redhat.com> - 3.37.90-1
- Initial import
